Bug 143221 - Update file utility, 5.04
Summary: Update file utility, 5.04
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-25 20:30 UTC by Jason
Modified: 2010-02-14 17:30 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason 2010-01-25 20:30:07 UTC
Update file utility to latest code of 5.04
Comment 1 Wesley Shields freebsd_committer 2010-01-25 21:07:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 2 Wesley Shields freebsd_committer 2010-01-26 02:43:15 UTC
On Mon, Jan 25, 2010 at 09:55:59AM -0800, Jason wrote:
> This support has been added to the current version of file, by the
> developer of the utility. It can be safely backed out of the port, if
> you so choose.
>
> The latest release is here, and includes support for what the patch
> attempted to do.
>
> ftp://ftp.astron.com/pub/file/file-5.04.tar.gz
>
> -jgh

Maintainer of sysutils/file:

PR ports/143221 was recently submitted to address a bug in the last
update to the port. Can you please investigate this PR and let me know
what you would like to do with it.

Thank you!

-- WXS
Comment 3 Jason 2010-02-04 22:57:06 UTC
I believe this should update the port to 5.04. I've tested the update by
updating the port version, and removing the files directory. I don't know if
this patch will properly remove the files directory.

diff -urN file.old/Makefile file/Makefile
--- file.old/Makefile	2010-01-14 13:55:27.000000000 -0800
+++ file/Makefile	2010-02-04 14:30:31.000000000 -0800
@@ -6,8 +6,7 @@
  #
  
  PORTNAME=	file
-PORTVERSION=	5.03
-PORTREVISION=	1
+PORTVERSION=	5.04
  CATEGORIES=	sysutils
  MASTER_SITES=	ftp://ftp.astron.com/pub/file/ \
  		ftp://ftp.gw.com/mirrors/unix/file/ \
diff -urN file.old/distinfo file/distinfo
--- file.old/distinfo	2009-09-19 09:50:27.000000000 -0700
+++ file/distinfo	2010-02-04 14:31:02.000000000 -0800
@@ -1,3 +1,3 @@
-MD5 (file-5.03.tar.gz) = d05f08a53e5c2f51f8ee6a4758c0cc53
-SHA256 (file-5.03.tar.gz) =
1edab47f9ef2ec5c021204f07566b11e5c2b3ae207af98137a021ac6e9bd95bb
-SIZE (file-5.03.tar.gz) = 616266
+MD5 (file-5.04.tar.gz) = accade81ff1cc774904b47c72c8aeea0
+SHA256 (file-5.04.tar.gz) =
4c9e6e7994e74cb3386374ae91b055d26ac96b9d3e82fd157ae2d62e87a4260c
+SIZE (file-5.04.tar.gz) = 621361
diff -urN file.old/files/patch-src__readcdf.c
file/files/patch-src__readcdf.c
--- file.old/files/patch-src__readcdf.c	2010-01-14 13:55:28.000000000 -0800
+++ file/files/patch-src__readcdf.c	1969-12-31 16:00:00.000000000 -0800
@@ -1,11 +0,0 @@
---- ./src/readcdf.c.orig	2010-01-14 16:30:22.699632246 -0500
-+++ ./src/readcdf.c	2010-01-14 16:30:27.240264949 -0500
-@@ -100,6 +100,8 @@
- 						str = "vnd.ms-excel";
- 					else if (strstr(s, "Powerpoint"))
- 						str = "vnd.ms-powerpoint";
-+					else if (strstr(s, "Crystal
Reports"))
-+						str = "x-rpt";
- 				}
- 			}
- 			break;
Comment 4 Wesley Shields freebsd_committer 2010-02-14 17:28:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2010-02-14 17:28:11 UTC
wxs         2010-02-14 17:28:02 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/file        Makefile distinfo 
  Removed files:
    sysutils/file/files  patch-src__readcdf.c 
  Log:
  - Update to 5.04
  
  PR:             ports/143221
  Submitted by:   Jason Helfman <jhelfman@e-e.com>
  Approved by:    jharris@widomaker.com (maintainer timeout)
  
  Revision  Changes    Path
  1.38      +1 -2      ports/sysutils/file/Makefile
  1.23      +3 -3      ports/sysutils/file/distinfo
  1.2       +0 -11     ports/sysutils/file/files/patch-src__readcdf.c (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"